Magick::BlobRef Class Reference

`#include <BlobRef.h>`

Collaboration diagram for Magick::BlobRef:
[legend]

## Public Member Functions

| BlobRef (const void *data_, const size_t length_)
| ~BlobRef (void)

## Public Attributes

void * | _data
size_t | _length
Blob::Allocator | _allocator
::ssize_t | _refCount
MutexLock | _mutexLock

## Detailed Description

Definition at line 21 of file BlobRef.h.

## Constructor & Destructor Documentation

Magick::BlobRef::BlobRef | ( | const void * | data_,
|  | const size_t | length_
| ) |  |

Definition at line 18 of file BlobRef.cpp.

References _data.

Magick::BlobRef::~BlobRef | ( | void |  | ) |

Definition at line 33 of file BlobRef.cpp.

References Magick::Blob::MallocAllocator, and Magick::Blob::NewAllocator.

## Member Data Documentation

Blob::Allocator Magick::BlobRef::_allocator

Definition at line 32 of file BlobRef.h.

void* Magick::BlobRef::_data

Definition at line 30 of file BlobRef.h.

Referenced by BlobRef().

size_t Magick::BlobRef::_length

Definition at line 31 of file BlobRef.h.

MutexLock Magick::BlobRef::_mutexLock

Definition at line 34 of file BlobRef.h.

Referenced by Magick::Blob::Blob(), and Magick::Blob::operator=().

::ssize_t Magick::BlobRef::_refCount

Definition at line 33 of file BlobRef.h.

Referenced by Magick::Blob::Blob(), and Magick::Blob::operator=().

The documentation for this class was generated from the following files:

- BlobRef.h
- BlobRef.cpp